import request from '@/utils/request'

// 查询调账流水记录列表
export function listAdjustmentRecord(query) {
  return request({
    url: '/system/adjustmentRecord/list',
    method: 'get',
    params: query
  })
}

// 查询调账流水记录详细
export function getAdjustmentRecord(financialAdjustId) {
  return request({
    url: '/system/adjustmentRecord/' + financialAdjustId,
    method: 'get'
  })
}

// 新增调账流水记录
export function addAdjustmentRecord(data) {
  return request({
    url: '/system/adjustmentRecord',
    method: 'post',
    data: data
  })
}

// 修改调账流水记录
export function updateAdjustmentRecord(data) {
  return request({
    url: '/system/adjustmentRecord',
    method: 'put',
    data: data
  })
}

// 删除调账流水记录
export function delAdjustmentRecord(financialAdjustId) {
  return request({
    url: '/system/adjustmentRecord/' + financialAdjustId,
    method: 'delete'
  })
}
